diff -u bind9-9.9.5.dfsg/configure.in bind9-9.9.5.dfsg/configure.in
--- bind9-9.9.5.dfsg/configure.in
+++ bind9-9.9.5.dfsg/configure.in
@@ -3568,7 +3568,7 @@
 
 if test "$dlopen" = "yes"; then
 	case $host in
-		*-linux*|*-gnu)
+		*-linux*|*-gnu*)
 			SO_CFLAGS="-fPIC"
 			if test "$have_dl" = "yes"
 			then
diff -u bind9-9.9.5.dfsg/debian/changelog bind9-9.9.5.dfsg/debian/changelog
--- bind9-9.9.5.dfsg/debian/changelog
+++ bind9-9.9.5.dfsg/debian/changelog
@@ -1,3 +1,11 @@
+bind9 (1:9.9.5.dfsg-4.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Add support for hurd.  Closes: #746540
+  * Provide shared libraries for isc-dhcp.  Closes: #656150
+
+ -- Michael Gilbert <mgilbert@debian.org>  Sun, 14 Sep 2014 00:58:06 +0000
+
 bind9 (1:9.9.5.dfsg-4) unstable; urgency=low
 
   [Julien Cristau]
diff -u bind9-9.9.5.dfsg/debian/control bind9-9.9.5.dfsg/debian/control
--- bind9-9.9.5.dfsg/debian/control
+++ bind9-9.9.5.dfsg/debian/control
@@ -60,7 +60,7 @@
 Architecture: any
 Conflicts: bind-dev
 Replaces: bind-dev
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdns100 (=${binary:Version}), libisccfg90 (=${binary:Version}), libisc95 (=${binary:Version}), liblwres90 (=${binary:Version}), libbind9-90 (=${binary:Version})
+Depends: ${misc:Depends}, libdns100 (=${binary:Version}), libisccfg90 (=${binary:Version}), libisc95 (=${binary:Version}), liblwres90 (=${binary:Version}), libbind9-90 (=${binary:Version})
 Description: Static Libraries and Headers used by BIND
  This package delivers archive-style libraries, header files, and API man
  pages for libbind, libdns, libisc, and liblwres.  These are only needed 
@@ -173,0 +174,55 @@
+
+Package: libbind-export-dev
+Section: libdevel
+Architecture: any
+Conflicts: libbind-dev
+Depends: ${misc:Depends}, libdns-export100 (=${binary:Version}), libisccfg-export90 (=${binary:Version}), libisc-export95 (=${binary:Version}), libirs-export91 (=${binary:Version})
+Description: Development files for the exported BIND libraries
+ ${Description}
+ .
+ This package delivers development files for the exported BIND libraries.
+
+Package: libbind-export-udeb
+Section: debian-installer
+Architecture: any
+Priority: extra
+Depends: ${shlibs:Depends}
+XC-Package-Type: udeb
+Description: Exported BIND libraries for debian-installer
+ libbind-export-udeb is a minimal bind package used by the debian-installer.
+
+Package: libdns-export100
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Exported DNS Shared Library
+ ${Description}
+ .
+ This package delivers the exported libdns shared library.
+
+Package: libisc-export95
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Exported ISC Shared Library 
+ ${Description}
+ .
+ This package delivers the exported libisc shared library.
+
+Package: libisccfg-export90
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Exported ISC CFG Shared Library
+ ${Description}
+ .
+ This package delivers the exported libisccfg shared library.
+
+Package: libirs-export91
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Exported IRS Shared Library
+ ${Description}
+ .
+ This package delivers the exported libirs shared library.
diff -u bind9-9.9.5.dfsg/debian/rules bind9-9.9.5.dfsg/debian/rules
--- bind9-9.9.5.dfsg/debian/rules
+++ bind9-9.9.5.dfsg/debian/rules
@@ -39,6 +39,23 @@
 	dh_testdir
 	dh_autotools-dev_updateconfig
 	dh_autoreconf
+	test -e export || mkdir export && cp -r * export || true
+	cd export && ./configure \
+		--prefix=/usr \
+		--disable-epoll \
+		--disable-kqueue \
+		--disable-devpoll \
+		--disable-threads \
+		--disable-linux-caps \
+		--without-openssl \
+		--without-libxml2 \
+		--enable-ipv6 \
+		--enable-shared \
+		--enable-exportlib \
+		--with-libtool \
+		--with-gssapi=no \
+		--with-export-libdir=\$${prefix}/lib \
+		--with-export-includedir=\$${prefix}/include/bind-export
 	./configure --prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
@@ -64,6 +81,7 @@
 build: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
+	$(MAKE) -C export
 	LD_LIBRARY_PATH=$$(pwd)/lib/isc/.libs:$$(pwd)/lib/isccc/.libs:$$(pwd)/isccfg/.libs:$${LD_LIBRARY_PATH} $(MAKE)
 	touch $@
 
@@ -85,6 +103,7 @@
 	rm -f debian/substvars lib/bind/include/isc/platform.h
 	rm -f contrib/dlz/bin/dlzbdb/Makefile contrib/dlz/drivers/rules
 	rm -f doc/arm/Bv9ARM.pdf
+	rm -rf export
 	dh_autoreconf_clean
 	dh_autotools-dev_restoreconfig
 	dh_clean
@@ -105,6 +124,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
+	$(MAKE) -C export install DESTDIR=`pwd`/debian/bind9
 	$(MAKE) install DESTDIR=`pwd`/debian/bind9
 	rm -f debian/bind9/usr/lib/*.la
 	install -c -o bin -g bin -m 444 debian/db.0 ${ETCBIND}/db.0
@@ -181,7 +201,7 @@
 	dh_fixperms -a
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -l"debian/libbind9-90/usr/lib:debian/libbind-dev/usr/lib:debian/libdns100/usr/lib:debian/libisc95/usr/lib:debian/libisccc90/usr/lib:debian/libisccfg90/usr/lib:debian/liblwres90/usr/lib:/usr/lib/libfakeroot" -a
+	dh_shlibdeps -a
 	for i in $$(sed -n '/^Package:/s/^.* //p' debian/control); do cat debian/vars.in >> debian/$$i.substvars; done
 	cat debian/vars.in >> debian/substvars
 	dh_gencontrol -a
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/debian/libbind-export-dev.install
+++ bind9-9.9.5.dfsg/debian/libbind-export-dev.install
@@ -0,0 +1,3 @@
+usr/lib/*-export.a
+usr/lib/*-export.so
+usr/include/bind-export
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/debian/libbind-export-udeb.install
+++ bind9-9.9.5.dfsg/debian/libbind-export-udeb.install
@@ -0,0 +1 @@
+usr/lib/*-export.so.*
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/debian/libdns-export100.install
+++ bind9-9.9.5.dfsg/debian/libdns-export100.install
@@ -0,0 +1 @@
+usr/lib/libdns-export.so.*
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/debian/libirs-export91.install
+++ bind9-9.9.5.dfsg/debian/libirs-export91.install
@@ -0,0 +1 @@
+usr/lib/libirs-export.so.*
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/debian/libisc-export95.install
+++ bind9-9.9.5.dfsg/debian/libisc-export95.install
@@ -0,0 +1 @@
+usr/lib/libisc-export.so.*
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/debian/libisccfg-export90.install
+++ bind9-9.9.5.dfsg/debian/libisccfg-export90.install
@@ -0,0 +1 @@
+usr/lib/libisccfg-export.so.*
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/lib/export/Makefile.in
+++ bind9-9.9.5.dfsg/lib/export/Makefile.in
@@ -21,7 +21,7 @@
 # Attempt to disable parallel processing.
 .NOTPARALLEL:
 .NO_PARALLEL:
-SUBDIRS =	isc dns isccfg irs samples
+SUBDIRS =	isc dns isccfg irs
 TARGETS =
 
 @BIND9_MAKE_RULES@
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/lib/export/dns/Makefile.in
+++ bind9-9.9.5.dfsg/lib/export/dns/Makefile.in
@@ -35,9 +35,9 @@
 
 CWARNINGS =
 
-ISCLIBS =	../isc/libisc.@A@
+ISCLIBS =	../isc/libisc-export.@A@
 
-ISCDEPLIBS =	../isc/libisc.@A@
+ISCDEPLIBS =	../isc/libisc-export.@A@
 
 LIBS =		@LIBS@
 
@@ -116,29 +116,29 @@
 		-DLIBAGE=${LIBAGE} \
 		-c ${srcdir}/version.c
 
-libdns.@SA@: ${OBJS}
+libdns-export.@SA@: ${OBJS}
 	${AR} ${ARFLAGS} $@ ${OBJS}
 	${RANLIB} $@
 
-libdns.la: ${OBJS}
+libdns-export.la: ${OBJS}
 	${LIBTOOL_MODE_LINK} \
-		${CC} ${ALL_CFLAGS} ${LDFLAGS} -o libdns.la \
+		${CC} ${ALL_CFLAGS} ${LDFLAGS} -o libdns-export.la \
 		-rpath ${export_libdir} \
 		-version-info ${LIBINTERFACE}:${LIBREVISION}:${LIBAGE} \
 		${OBJS} ${ISCLIBS} @DNS_CRYPTO_LIBS@ ${LIBS}
 
-timestamp: libdns.@A@
+timestamp: libdns-export.@A@
 	touch timestamp
 
 installdirs:
 	$(SHELL) ${top_srcdir}/mkinstalldirs ${DESTDIR}${export_libdir}
 
 install:: timestamp installdirs
-	${LIBTOOL_MODE_INSTALL} ${INSTALL_DATA} libdns.@A@ \
+	${LIBTOOL_MODE_INSTALL} ${INSTALL_PROGRAM} libdns-export.@A@ \
 	${DESTDIR}${export_libdir}/
 
 clean distclean::
-	rm -f libdns.@A@ timestamp
+	rm -f libdns-export.@A@ timestamp
 	rm -f gen code.h include/dns/enumtype.h include/dns/enumclass.h
 	rm -f include/dns/rdatastruct.h
 
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/lib/export/irs/Makefile.in
+++ bind9-9.9.5.dfsg/lib/export/irs/Makefile.in
@@ -43,9 +43,9 @@
 		gai_sterror.c getaddrinfo.c getnameinfo.c \
 		resconf.c
 
-ISCLIBS =	../isc/libisc.@A@
-DNSLIBS =	../dns/libdns.@A@
-ISCCFGLIBS =	../isccfg/libisccfg.@A@
+ISCLIBS =	../isc/libisc-export.@A@
+DNSLIBS =	../dns/libdns-export.@A@
+ISCCFGLIBS =	../isccfg/libisccfg-export.@A@
 
 LIBS =		@LIBS@
 
@@ -62,26 +62,26 @@
 		-DLIBAGE=${LIBAGE} \
 		-c ${srcdir}/version.c
 
-libirs.@SA@: ${OBJS} version.@O@
+libirs-export.@SA@: ${OBJS} version.@O@
 	${AR} ${ARFLAGS} $@ ${OBJS} version.@O@
 	${RANLIB} $@
 
-libirs.la: ${OBJS} version.@O@
+libirs-export.la: ${OBJS} version.@O@
 	${LIBTOOL_MODE_LINK} \
-		${CC} ${ALL_CFLAGS} ${LDFLAGS} -o libirs.la \
+		${CC} ${ALL_CFLAGS} ${LDFLAGS} -o libirs-export.la \
 		-rpath ${export_libdir} \
 		-version-info ${LIBINTERFACE}:${LIBREVISION}:${LIBAGE} \
 		${OBJS} version.@O@ ${LIBS} ${ISCCFGLIBS} ${DNSLIBS} ${ISCLIBS}
 
-timestamp: libirs.@A@
+timestamp: libirs-export.@A@
 	touch timestamp
 
 installdirs:
 	$(SHELL) ${top_srcdir}/mkinstalldirs ${DESTDIR}${export_libdir}
 
 install:: timestamp installdirs
-	${LIBTOOL_MODE_INSTALL} ${INSTALL_DATA} libirs.@A@ \
+	${LIBTOOL_MODE_INSTALL} ${INSTALL_PROGRAM} libirs-export.@A@ \
 	${DESTDIR}${export_libdir}/
 
 clean distclean::
-	rm -f libirs.@A@ libirs.la timestamp
+	rm -f libirs-export.@A@ libirs-export.la timestamp
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/lib/export/isc/Makefile.in
+++ bind9-9.9.5.dfsg/lib/export/isc/Makefile.in
@@ -116,26 +116,26 @@
 		-DLIBAGE=${LIBAGE} \
 		-c ${srcdir}/version.c
 
-libisc.@SA@: ${OBJS}
+libisc-export.@SA@: ${OBJS}
 	${AR} ${ARFLAGS} $@ ${OBJS}
 	${RANLIB} $@
 
-libisc.la: ${OBJS}
+libisc-export.la: ${OBJS}
 	${LIBTOOL_MODE_LINK} \
-		${CC} ${ALL_CFLAGS} ${LDFLAGS} -o libisc.la \
+		${CC} ${ALL_CFLAGS} ${LDFLAGS} -o libisc-export.la \
 		-rpath ${export_libdir} \
 		-version-info ${LIBINTERFACE}:${LIBREVISION}:${LIBAGE} \
 		${OBJS} ${LIBS}
 
-timestamp: libisc.@A@
+timestamp: libisc-export.@A@
 	touch timestamp
 
 installdirs:
 	$(SHELL) ${top_srcdir}/mkinstalldirs ${DESTDIR}${export_libdir}
 
 install:: timestamp installdirs
-	${LIBTOOL_MODE_INSTALL} ${INSTALL_DATA} libisc.@A@ \
+	${LIBTOOL_MODE_INSTALL} ${INSTALL_PROGRAM} libisc-export.@A@ \
 	${DESTDIR}${export_libdir}
 
 clean distclean::
-	rm -f libisc.@A@ libisc.la timestamp
+	rm -f libisc-export.@A@ libisc-export.la timestamp
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/lib/export/isccfg/Makefile.in
+++ bind9-9.9.5.dfsg/lib/export/isccfg/Makefile.in
@@ -30,11 +30,11 @@
 CDEFINES =
 CWARNINGS =
 
-ISCLIBS =	../isc/libisc.@A@
-DNSLIBS =	../dns/libdns.@A@ @DNS_CRYPTO_LIBS@
+ISCLIBS =	../isc/libisc-export.@A@
+DNSLIBS =	../dns/libdns-export.@A@ @DNS_CRYPTO_LIBS@
 
 ISCDEPLIBS =	../../lib/isc/libisc.@A@
-ISCCFGDEPLIBS =	libisccfg.@A@
+ISCCFGDEPLIBS =	libisccfg-export.@A@
 
 LIBS =		@LIBS@
 
@@ -58,26 +58,26 @@
 		-DLIBAGE=${LIBAGE} \
 		-c ${srcdir}/version.c
 
-libisccfg.@SA@: ${OBJS}
+libisccfg-export.@SA@: ${OBJS}
 	${AR} ${ARFLAGS} $@ ${OBJS}
 	${RANLIB} $@
 
-libisccfg.la: ${OBJS}
+libisccfg-export.la: ${OBJS}
 	 ${LIBTOOL_MODE_LINK} \
-		${CC} ${ALL_CFLAGS} ${LDFLAGS} -o libisccfg.la \
+		${CC} ${ALL_CFLAGS} ${LDFLAGS} -o libisccfg-export.la \
 		-rpath ${export_libdir} \
 		-version-info ${LIBINTERFACE}:${LIBREVISION}:${LIBAGE} \
-		${OBJS} ${LIBS} ${DNSLIBS} ${ISCLIBS}
+		${OBJS} ${LIBS} ${ISCLIBS}
 
-timestamp: libisccfg.@A@
+timestamp: libisccfg-export.@A@
 	touch timestamp
 
 installdirs:
 	$(SHELL) ${top_srcdir}/mkinstalldirs ${DESTDIR}${export_libdir}
 
 install:: timestamp installdirs
-	${LIBTOOL_MODE_INSTALL} ${INSTALL_DATA} libisccfg.@A@ \
+	${LIBTOOL_MODE_INSTALL} ${INSTALL_PROGRAM} libisccfg-export.@A@ \
 	${DESTDIR}${export_libdir}/
 
 clean distclean::
-	rm -f libisccfg.@A@ timestamp
+	rm -f libisccfg-export.@A@ timestamp
